UbixOS V2 2.0

Data Fields
inode_operations Struct Reference

`#include <vfs.h>`

Collaboration diagram for inode_operations:

## Data Fields
int(* | bmap )(struct inode *, int)
int(* | create )(struct inode *, const char *, int, int, struct inode **)
struct file_operations * | default_file_ops
int(* | follow_link )(struct inode *, struct inode *, int, int, struct inode **)
int(* | link )(struct inode *, struct inode *, const char *, int)
int(* | lookup )(struct inode *, const char *, int, struct inode **)
int(* | mkdir )(struct inode *, const char *, int, int)
int(* | mknod )(struct inode *, const char *, int, int, int)
int(* | permission )(struct inode *, int)
int(* | readlink )(struct inode *, char *, int)
int(* | rename )(struct inode *, const char *, int, struct inode *, const char *, int)
int(* | rmdir )(struct inode *, const char *, int)
int(* | symlink )(struct inode *, const char *, int, const char *)
void(* | truncate )(struct inode *)
int(* | unlink )(struct inode *, const char *, int)

## Detailed Description

Definition at line 73 of file vfs.h.

## Field Documentation

## ◆ bmap

int(* inode_operations::bmap) (struct inode *, int)

Definition at line 86 of file vfs.h.

## ◆ create

int(* inode_operations::create) (struct inode *, const char *, int, int, struct inode **)

Definition at line 75 of file vfs.h.

## ◆ default_file_ops

struct file_operations* inode_operations::default_file_ops

Definition at line 74 of file vfs.h.

## ◆ follow_link

int(* inode_operations::follow_link) (struct inode *, struct inode *, int, int, struct inode **)

Definition at line 85 of file vfs.h.

Referenced by follow_link().

## ◆ link

int(* inode_operations::link) (struct inode *, struct inode *, const char *, int)

Definition at line 77 of file vfs.h.

## ◆ lookup

int(* inode_operations::lookup) (struct inode *, const char *, int, struct inode **)

Definition at line 76 of file vfs.h.

Referenced by lookup().

## ◆ mkdir

int(* inode_operations::mkdir) (struct inode *, const char *, int, int)

Definition at line 80 of file vfs.h.

## ◆ mknod

int(* inode_operations::mknod) (struct inode *, const char *, int, int, int)

Definition at line 82 of file vfs.h.

## ◆ permission

int(* inode_operations::permission) (struct inode *, int)

Definition at line 88 of file vfs.h.

Referenced by permission().

## ◆ readlink

int(* inode_operations::readlink) (struct inode *, char *, int)

Definition at line 84 of file vfs.h.

## ◆ rename

int(* inode_operations::rename) (struct inode *, const char *, int, struct inode *, const char *, int)

Definition at line 83 of file vfs.h.

## ◆ rmdir

int(* inode_operations::rmdir) (struct inode *, const char *, int)

Definition at line 81 of file vfs.h.

## ◆ symlink

int(* inode_operations::symlink) (struct inode *, const char *, int, const char *)

Definition at line 79 of file vfs.h.

## ◆ truncate

void(* inode_operations::truncate) (struct inode *)

Definition at line 87 of file vfs.h.

## ◆ unlink

int(* inode_operations::unlink) (struct inode *, const char *, int)

Definition at line 78 of file vfs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/vfs.h